import { TSDate } from "./tsdate";
import { Comparison, Nullable, Bytes } from "./types";
export declare function $numcompare(a: number, b: number): Comparison;
export declare function $numorder(a: number, b: number): NonNullable<Comparison>;
export declare function $datecompare(a: Nullable<number | string | Date | TSDate>, b: Nullable<number | string | Date | TSDate>): Comparison;
export declare function $arraycompare(a: Nullable<any[]>, b: Nullable<any[]>): Comparison;
export declare function $dateorder(a: Nullable<number | string | Date | TSDate>, b: Nullable<number | string | Date | TSDate>): NonNullable<Comparison>;
export declare function $bytescompare(a: Nullable<Bytes>, b: Nullable<Bytes>): Comparison;
export declare function $bytesorder(a: Nullable<Bytes>, b: Nullable<Bytes>): NonNullable<Comparison>;
export declare function $compare(a: any, b: any): Comparison;
export declare function $order(a: any, b: any): NonNullable<Comparison>;
export declare function $visualcompare(a: any, b: any): Comparison;
export declare function $visualorder(a: any, b: any): NonNullable<Comparison>;
export declare function $bytesequal(a: Nullable<Bytes>, b: Nullable<Bytes>): boolean;
export declare function $equal(a: any, b: any): boolean;
export declare function $objectsequal(a: Nullable<object>, b: Nullable<object>): boolean;
export declare function $arrayequal(a: Nullable<any[]>, b: Nullable<any[]>): boolean;
export declare function $mapequal(a: Nullable<Map<any, any>>, b: Nullable<Map<any, any>>): boolean;
export declare function $setequal(sa: Nullable<Set<any>>, sb: Nullable<Set<any>>): boolean;
export declare function $unorderedEqual(sa: Nullable<any[] | Set<any>>, sb: Nullable<any[] | Set<any>>): boolean;
export declare function $visualequal(a: any, b: any): boolean;
