import { Nullable } from "./types";
import { TSDate } from "./tsdate";
import { TSDateComp } from "./tsdatecomp";
import { TSObject } from "./tsobject";
export declare function $timeBetweenDates(pa: Nullable<number | string | Date | TSDate>, pb: Nullable<number | string | Date | TSDate>): number;
declare global {
    export interface Date extends TSObject {
        leafInspect: (this: Date) => string;
        timeStamp: number;
        toComponents: (this: Date) => TSDateComp;
        toDate: (this: Date) => Date;
        toTSDate: (this: Date) => TSDate | null;
        timeSinceDate: (this: Date, other: Date) => number;
        toArray: (this: Date) => Date[];
    }
}
